Imports System.Windows.Forms

Public Class ConnectDialog
    ''' <summary>
    ''' Gets the Host entered by the user.
    ''' </summary>
    Public ReadOnly Property Host() As String
        Get
            Return txtHost.Text
        End Get
    End Property

    ''' <summary>
    ''' Creates an instance of ConnectDialog and uses it to obtain the name of the VNC Host.
    ''' </summary>
    ''' <returns>Returns the VNC Host name entered by the user, or null if he/she clicked Cancel.</returns>
    Public Shared Function GetVncHost() As String
        Dim dialog As New ConnectDialog()

        If (dialog.ShowDialog() = DialogResult.OK) Then
            Return dialog.Host
        Else
            '' If the user clicks Cancel, return null and not the empty string.
            Return Nothing
        End If
    End Function
End Class